body {
    background-image: url(./img/149673169.jpg);
    color: white;
}

.header {
    padding: 10px;
    font-size: 50px;
    background: url(./img/iStock-886672454_d_850.jpg)no-repeat center #eee;
    color: aqua;
    width: 100%;
}

img {
    width: 25px;
    height: 30px;
}

.logo-part {
    color: chartreuse;
}

.add-post-btn {
    margin: 10px 0;
    padding: 10px 10px;
    display: inline-block;
    color: white;
    background-image: url(./img/M2x2dMwS.jpg);
    text-transform: uppercase;
    border-radius: 5px;
    cursor: pointer;
    animation: button-blink 200ms linear infinite;
}

.input-popup {
    position: absolute;
    background-image: url(./img/unnamed.jpg);
    padding: 30px;
    width: 200px;
    display: none;
    flex-direction: column;
    border-radius: 4px;
    border: solid 1px white;
}

.close-btn {
    color: black;
    width: 20px;
    margin-left: 200px;
    margin-bottom: 10px;
    cursor: pointer;
    font-size: 20px;
}

input {
    display: block;
    height: 30px;
}

label {
    display: block;
    color: black;
    margin-bottom: 20px;
    font-size: 20px;
}

.public-btn {
    width: 100px;
    padding: 5px;
    display: block;
    background-color: yellow;
    border: none;
    border-radius: 3px;
    color: black;
    font-size: 16px;
    box-shadow: 2px 5px 5px black;
}

.post {
    position: relative;
    display: none;
    width: 500px;
    margin: 0 auto;
    margin-bottom: 30px;
    padding: 30px;
    border: solid 2px white;
    border-radius: 5px;
    background-image: url(./img/CBBA84366246-1000x1000.jpg);
    animation: render 1s linear;
}

.delete-btn {
    position: absolute;
    top: 0;
    right: 0;
    opacity: 0.7;
    float: right;
    background-color: red;
    color: white;
    cursor: pointer;
    padding: 5px;
}

.post-title {
    text-transform: uppercase;
    color: black;
    font-weight: bold;
}

.author-data {
    display: flex;
    justify-content: space-around;
    font-size: 18px;
    color: black;
    margin-bottom: 20px;
}

a {
    text-decoration: none;
    color: white;
}

a:hover {
    color: blue;
}

.edit-btn {
    background-color: fuchsia;
    text-transform: uppercase;
    border: none;
    padding: 5px;
    border-radius: 5px;
    color: white;
    display: block;
    margin: 0 auto;
    box-shadow: 0px 0px 3px 3px rgba(255, 255, 255);
}

.save-btn {
    margin-bottom: 20px;
    background-image: url(https://lh3.googleusercontent.com/proxy/L9sqQ2rvhmsF9RdG79PKwj-_o0_ms_vK2qDCWISEJp_Eo6LJ2ZFhVB9XQulB3Zto-C_CqfRqbL-oDxHEm--vqrOglp4AGWY3GOz5P-5xmom3Z1X6N6GYmkBhXljYODBP9eBKbEeX5I2TaJ9Wu7LLn9AQ3jZ05fM4);
    border: none;
    border-radius: 5px;
    padding: 5px;
    color: white;
    box-shadow: 5px 5px 5px rgb(89, 213, 218);
    ;
    text-transform: uppercase;
}

.js-active-form {
    display: flex;
}

.js-active {
    display: block;
}

@keyframes render {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes button-blink {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0.5;
    }
}